Bug 216256

Summary: FC6 client will not mount older NFS servers (FC4, RH7.2, Solaris 8)
Product: [Fedora] Fedora Reporter: Richard Morgan <rich>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED WONTFIX QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: artu72, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 12:51:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Richard Morgan 2006-11-17 23:09:10 EST
Description of problem:
FC6 i386 as client will not mount NFS shares from RH7.2, FC4.  It will mount 
shares from other FC6 servers no problems.  Also suspect Solaris 8 can not be 
mounted.

Error in syslog:
kernel: audit(1163816080.125:4): avc:  denied  { create } for  pid=1616 
comm="mount.nfs" scontext=system_u:system_r:mount_t:s0 tconte
xt=system_u:system_r:mount_t:s0 tclass=netlink_route_socket
N

Version-Release number of selected component (if applicable):
Linux version 2.6.18-1.2849.fc6 (brewbuilder@hs20-bc2-4.build.redhat.com) (gcc 
version 4.1.1 20061011 (Red Hat 4.1.1-30)) #1 SMP Fri Nov 10 12:45:28 EST 2006


How reproducible:
Build FC6 as NFS client, try to mount either FC4 or RH7.7 exports. 


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
should mount NFS shares from FC4 and RH7.2

Additional info:
Comment 2 Daniel Walsh 2006-11-20 15:12:26 EST
Fixed in selinux-policy-2.4.3-10.fc6
Comment 3 Richard Morgan 2006-11-21 01:59:11 EST
selinux is disbaled.  Applied selinux-policy-2.4.3-10.fc6, enabled selinux, 
reboot.  Still not working.  Disbaled selinux, reboot, again not working.

Buit whole new box with FC6, selinux emabled, applied selinux-policy-2.4.3-
10.fc6.  tried to mount original RH7.2 server, plus 1 other. still no 
success.  Solaris 8 does not work either.  I suspect this is a different bug. 
Comment 4 Daniel Walsh 2006-11-21 14:54:09 EST
If failing when SELinux is disabled, definitely not an SELinux problem. 
Although are you seeing any avc messages when SELinux is enabled?
Comment 5 Steve Dickson 2006-11-29 10:55:17 EST
Could up post a bzip2 binary tethereal network trace of this
failure? Something like:
   
    tethereal -w /tmp/mount.pcap host <server> ; bzip2 /tmp/mount.pcap

Comment 6 Andrea Mastellone 2007-03-14 08:02:33 EDT
I have this problem, and SELinux is disabled. The NFS server is a FC3 distro
(until FC5 nfs clients are working greatly). 

[root@kilo ~]# mount /mnt/scsi
mount: wrong fs type, bad option, bad superblock on 151.97.12.71:/mnt/scsi,
       missing codepage or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so

[root@kilo ~]# uname --all
Linux kilo.dmfci.unict.it 2.6.19-1.2911.6.5.fc6 #1 SMP Sun Mar 4 16:05:34 EST
2007 x86_64 x86_64 x86_64 GNU/Linux
Comment 7 Steve Dickson 2007-03-14 10:43:01 EDT
what is the output of "mount -v /mnt/scsi"
also what does the /etc/fstab entry for /mnt/scsi
look like and finally could you post the output
of "strace mount /mnt/scsi"
Comment 8 Andrea Mastellone 2007-03-14 12:43:40 EDT
Here are the requested data:

[root@kilo ~]# mount -v /mnt/scsi/
mount: wrong fs type, bad option, bad superblock on 151.97.12.71:/mnt/scsi,
       missing codepage or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so

[root@kilo ~]# more /etc/fstab |grep scsi
151.97.12.71:/mnt/scsi  /mnt/scsi            nfs     exec,dev,suid,rw,bg 1 1 

[root@kilo ~]# strace mount -v /mnt/scsi/
execve("/bin/mount", ["mount", "-v", "/mnt/scsi/"], [/* 24 vars */]) = 0
brk(0)                                  = 0x60f000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaaaab000
uname({sys="Linux", node="kilo.dmfci.unict.it", ...}) = 0
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/opt/intel/fce/9.1.041/lib/tls/x86_64/libblkid.so.1", O_RDONLY) = -1
ENOENT (No such file or directory)
stat("/opt/intel/fce/9.1.041/lib/tls/x86_64", 0x7fffbd8172f0) = -1 ENOENT (No
such file or directory)
open("/opt/intel/fce/9.1.041/lib/tls/libblkid.so.1", O_RDONLY) = -1 ENOENT (No
such file or directory)
stat("/opt/intel/fce/9.1.041/lib/tls", 0x7fffbd8172f0) = -1 ENOENT (No such file
or directory)
open("/opt/intel/fce/9.1.041/lib/x86_64/libblkid.so.1", O_RDONLY) = -1 ENOENT
(No such file or directory)
stat("/opt/intel/fce/9.1.041/lib/x86_64", 0x7fffbd8172f0) = -1 ENOENT (No such
file or directory)
open("/opt/intel/fce/9.1.041/lib/libblkid.so.1", O_RDONLY) = -1 ENOENT (No such
file or directory)
stat("/opt/intel/fce/9.1.041/lib", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
open("/opt/intel/cce/9.1.046/lib/tls/x86_64/libblkid.so.1", O_RDONLY) = -1
ENOENT (No such file or directory)
stat("/opt/intel/cce/9.1.046/lib/tls/x86_64", 0x7fffbd8172f0) = -1 ENOENT (No
such file or directory)
open("/opt/intel/cce/9.1.046/lib/tls/libblkid.so.1", O_RDONLY) = -1 ENOENT (No
such file or directory)
stat("/opt/intel/cce/9.1.046/lib/tls", 0x7fffbd8172f0) = -1 ENOENT (No such file
or directory)
open("/opt/intel/cce/9.1.046/lib/x86_64/libblkid.so.1", O_RDONLY) = -1 ENOENT
(No such file or directory)
stat("/opt/intel/cce/9.1.046/lib/x86_64", 0x7fffbd8172f0) = -1 ENOENT (No such
file or directory)
open("/opt/intel/cce/9.1.046/lib/libblkid.so.1", O_RDONLY) = -1 ENOENT (No such
file or directory)
stat("/opt/intel/cce/9.1.046/lib", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=81382, ...}) = 0
mmap(NULL, 81382, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2aaaaaaac000
close(3)                                = 0
open("/lib64/libblkid.so.1", O_RDONLY)  = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\2006\200"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=41600, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaaac0000
mmap(0x3753800000, 2134656, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x3753800000
mprotect(0x3753809000, 2093056, PROT_NONE) = 0
mmap(0x3753a08000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x8000) = 0x3753a08000
close(3)                                = 0
open("/opt/intel/fce/9.1.041/lib/libuuid.so.1", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/opt/intel/cce/9.1.046/lib/libuuid.so.1", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/lib64/libuuid.so.1", O_RDONLY)   = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\17@S7\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=13096, ...}) = 0
mmap(0x3753400000, 2106144, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x3753400000
mprotect(0x3753402000, 2097152, PROT_NONE) = 0
mmap(0x3753602000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x3753602000
close(3)                                = 0
open("/opt/intel/fce/9.1.041/lib/libselinux.so.1", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/opt/intel/cce/9.1.046/lib/libselinux.so.1", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/lib64/libselinux.so.1", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0PE`Z7\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=95480, ...}) = 0
mmap(0x375a600000, 2192816, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x375a600000
mprotect(0x375a615000, 2097152, PROT_NONE) = 0
mmap(0x375a815000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x15000) = 0x375a815000
mmap(0x375a817000, 1456, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x375a817000
close(3)                                = 0
open("/opt/intel/fce/9.1.041/lib/libc.so.6", O_RDONLY) = -1 ENOENT (No such file
or directory)
open("/opt/intel/cce/9.1.046/lib/libc.so.6", O_RDONLY) = -1 ENOENT (No such file
or directory)
open("/lib64/libc.so.6", O_RDONLY)      = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@\333\201"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1678512, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaaac1000
mmap(0x3752800000, 3461304, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x3752800000
mprotect(0x3752944000, 2097152, PROT_NONE) = 0
mmap(0x3752b44000, 20480, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x144000) = 0x3752b44000
mmap(0x3752b49000, 16568, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x3752b49000
close(3)                                = 0
open("/opt/intel/fce/9.1.041/lib/libdevmapper.so.1.02", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/opt/intel/cce/9.1.046/lib/libdevmapper.so.1.02", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/lib64/libdevmapper.so.1.02", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\3406\300"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=69488, ...}) = 0
mmap(0x3752c00000, 2162312, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x3752c00000
mprotect(0x3752c0f000, 2093056, PROT_NONE) = 0
mmap(0x3752e0e000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xe000) = 0x3752e0e000
close(3)                                = 0
open("/opt/intel/fce/9.1.041/lib/libdl.so.2", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/opt/intel/cce/9.1.046/lib/libdl.so.2", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/lib64/libdl.so.2", O_RDONLY)     = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\17\0S7"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=23520, ...}) = 0
mmap(0x3753000000, 2109728, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x3753000000
mprotect(0x3753003000, 2093056, PROT_NONE) = 0
mmap(0x3753202000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x3753202000
close(3)                                = 0
open("/opt/intel/fce/9.1.041/lib/libsepol.so.1", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/opt/intel/cce/9.1.046/lib/libsepol.so.1", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/lib64/libsepol.so.1", O_RDONLY)  = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0> Z7\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=247528, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaaac2000
mmap(0x375a200000, 2383168, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x375a200000
mprotect(0x375a23b000, 2097152, PROT_NONE) = 0
mmap(0x375a43b000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3b000) = 0x375a43b000
mmap(0x375a43c000, 40256, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x375a43c000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaaac3000
arch_prctl(ARCH_SET_FS, 0x2aaaaaac34b0) = 0
mprotect(0x3752b44000, 16384, PROT_READ) = 0
mprotect(0x3753202000, 4096, PROT_READ) = 0
mprotect(0x3752619000, 4096, PROT_READ) = 0
munmap(0x2aaaaaaac000, 81382)           = 0
access("/etc/selinux/", F_OK)           = 0
brk(0)                                  = 0x60f000
brk(0x630000)                           = 0x630000
open("/etc/selinux/config", O_RDONLY)   = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=511, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaaaac000
read(3, "# This file controls the state o"..., 4096) = 511
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x2aaaaaaac000, 4096)            = 0
open("/proc/mounts", O_RDONLY)          = 3
fstat(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaaaaac000
read(3, "rootfs / rootfs rw 0 0\n/dev/root"..., 1024) = 672
read(3, "", 1024)                       = 0
close(3)                                = 0
munmap(0x2aaaaaaac000, 4096)            = 0
open("/usr/lib/locale/locale-archive", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=55565728, ...}) = 0
mmap(NULL, 55565728, PROT_READ, MAP_PRIVATE, 3, 0) = 0x2aaaaaac4000
close(3)                                = 0
umask(022)                              = 022
open("/dev/null", O_RDWR)               = 3
close(3)                                = 0
getuid()                                = 0
geteuid()                               = 0
getgid()                                = 0
getegid()                               = 0
prctl(0x3, 0, 0, 0, 0)                  = 1
open("/etc/blkid/blkid.tab", O_RDONLY)  = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=1100, ...}) = 0
fcntl(3, F_GETFL)                       = 0x8000 (flags O_RDONLY|O_LARGEFILE)
fstat(3, {st_mode=S_IFREG|0644, st_size=1100, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaadfc2000
lseek(3, 0, SEEK_CUR)                   = 0
read(3, "<device DEVNO=\"0x0807\" TIME=\"117"..., 4096) = 1100
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x2aaaadfc2000, 4096)            = 0
getuid()                                = 0
geteuid()                               = 0
lstat("/etc/mtab", {st_mode=S_IFREG|0644, st_size=355, ...}) = 0
readlink("/mnt", 0x7fffbd815c00, 4096)  = -1 EINVAL (Invalid argument)
readlink("/mnt/scsi", 0x7fffbd815c00, 4096) = -1 EINVAL (Invalid argument)
umask(077)                              = 022
open("/etc/fstab", O_RDONLY)            = 3
umask(022)                              = 077
fstat(3, {st_mode=S_IFREG|0644, st_size=838, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaadfc2000
read(3, "LABEL=/                 /       "..., 4096) = 838
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x2aaaadfc2000, 4096)            = 0
stat("/sbin/mount.nfs", 0x7fffbd817640) = -1 ENOENT (No such file or directory)
rt_sigprocmask(SIG_BLOCK, ~[TRAP SEGV RTMIN RT_1], NULL, 8) = 0
mount("151.97.12.71:/mnt/scsi", "/mnt/scsi", "nfs", MS_MGC_VAL, "bg") = -1
EINVAL (Invalid argument)
rt_sigprocmask(SIG_UNBLOCK, ~[TRAP SEGV RTMIN RT_1], NULL, 8) = 0
getcwd("/root", 4098)                   = 6
open("/usr/share/locale/locale.alias", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=2528, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x2aaaadfc2000
read(3, "# Locale name alias data base.\n#"..., 4096) = 2528
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x2aaaadfc2000, 4096)            = 0
open("/root//en_US.UTF-8/LC_MESSAGES/util-linux.mo", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/root//en_US.utf8/LC_MESSAGES/util-linux.mo", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/root//en_US/LC_MESSAGES/util-linux.mo", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/root//en.UTF-8/LC_MESSAGES/util-linux.mo", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/root//en.utf8/LC_MESSAGES/util-linux.mo", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/root//en/LC_MESSAGES/util-linux.mo", O_RDONLY) = -1 ENOENT (No such file
or directory)
write(2, "mount: wrong fs type, bad option"..., 115mount: wrong fs type, bad
option, bad superblock on 151.97.12.71:/mnt/scsi,
       missing codepage or other error
) = 115
stat("151.97.12.71:/mnt/scsi", 0x7fffbd817900) = -1 ENOENT (No such file or
directory)
getcwd("/root", 4098)                   = 6
write(2, "       In some cases useful info"..., 86       In some cases useful
info is found in syslog - try
       dmesg | tail  or so

) = 86
exit_group(32)                          = ?
Process 14071 detached
Comment 9 Steve Dickson 2007-07-26 10:48:52 EDT
This: 
stat("/sbin/mount.nfs", 0x7fffbd817640) = -1 ENOENT (No such file or directory)

means your using an old nfs-utils... what version are you using?
Comment 10 Bug Zapper 2008-04-04 00:45:53 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Bug Zapper 2008-05-06 12:51:16 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.